<?php
	/**
		* @package     Joomla.Site
		* @subpackage  mod_articles_category
		* @Author	   web-eau.net
		* @copyright   Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.
		* @license     GNU General Public License version 2 or later; see LICENSE.txt
	*/
	
	defined('_JEXEC') or die;
	
?>

<section class="blog-me pt-100 pb-100" id="blog">
	
	<div class="container">
		
		<div class="row">
			<div class="col-xl-6 mx-auto text-center">
				<div class="section-title mb-5">
					<h4>Latest blog</h4>
				</div>
			</div>
		</div>
		
		<div class="row">	
			
			<?php foreach ($list as $item) : ?>
			<div class="col-lg-4 col-md-6"> 
				<div class="single-blog">
					<div class="blog-img">
						
						<?php
							$article_images  = json_decode($item->images);
							$article_image   = '';
							$article_image_alt   = '';
							if(isset($article_images->image_intro) && !empty($article_images->image_intro)) {
								$article_image  = $article_images->image_intro;
								$article_image_alt  = $article_images->image_intro_alt;
							}?> 
							
							<a href="<?php echo $item->link; ?>">
								<img class="" src="<?php echo $article_image; ?>" alt="<?php echo $article_image_alt; ?>" >
							</a>
							
							<div class="post-category">
								<?php if ($item->displayCategoryTitle) : ?>
								<span class="mod-articles-category-category">
									<?php echo $item->displayCategoryTitle; ?>
								</span>
								<?php endif; ?>						
							</div>
					</div>
					<div class="blog-content">
						<div class="blog-title">
							<h4>
								<?php if ($params->get('link_titles') == 1) : ?>
								<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a>
								<?php else : ?>
								<?php echo $item->title; ?>
								<?php endif; ?>
							</h4>
							<div class="meta">
								<ul class="list-unstyled">
									<li>
										<?php if ($item->displayDate) : ?>
										<span class="mod-articles-category-date">
											<?php echo $item->displayDate; ?>
										</span>
										<?php endif; ?>
									</li>
								</ul>
							</div>
						</div>
						
						<?php if ($params->get('show_introtext')) : ?>
						<p class="mod-articles-category-introtext">
							<?php echo $item->displayIntrotext; ?>
						</p>
						<?php endif; ?>		
						
						<?php if ($params->get('show_readmore')) : ?>
						<p class="mod-articles-category-readmore">						
							<a href="<?php echo $item->link; ?>" class="box_btn mod-articles-category-title <?php echo $item->active; ?>">
								<?php if ($item->params->get('access-view') == false) : ?>
								<?php echo JText::_('MOD_ARTICLES_CATEGORY_REGISTER_TO_READ_MORE'); ?>
								<?php elseif ($readmore = $item->alternative_readmore) : ?>
								<?php echo $readmore; ?>
								<?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
								<?php elseif ($params->get('show_readmore_title', 0) == 0) : ?>
								<?php echo JText::sprintf('MOD_ARTICLES_CATEGORY_READ_MORE_TITLE'); ?>
								<?php else : ?>
								<?php echo JText::_('MOD_ARTICLES_CATEGORY_READ_MORE'); ?>
								<?php echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit')); ?>
								<?php endif; ?>									
							</a>
						</p>
						<?php endif; ?>
						
					</div>
				</div>
			</div>	
			<?php endforeach; ?>
			
		</div>
	</div>
</section>